Bug 428777 - Review Request: perl-Net-NBName - Net::NBName perl module
Review Request: perl-Net-NBName - Net::NBName perl module
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-15 00:38 EST by Walter Gould
Modified: 2008-01-27 02:17 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.26-2.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-27 02:17:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Walter Gould 2008-01-15 00:38:01 EST
Spec URL: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-Net-NBName.spec
SRPM URL: http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-Net-NBName-0.26-1.fc8.src.rpm
Description: Net::NBName is a class that allows you to perform simple NetBIOS Name Service Requests in your Perl code. It performs these NetBIOS operations
over TCP/IP using Perl's built-in socket support.

This is my first fedora extras package and therefore, I need a sponsor.

Thanks in advance.
Comment 1 Jason Tibbitts 2008-01-15 19:06:35 EST
This one build OK; rpmlint says:
  perl-Net-NBName.noarch: W: wrong-file-end-of-line-encoding
   /usr/share/doc/perl-Net-NBName-0.26/README
  perl-Net-NBName.noarch: W: wrong-file-end-of-line-encoding
   /usr/share/doc/perl-Net-NBName-0.26/Changes
  perl-Net-NBName.noarch: E: wrong-script-end-of-line-encoding
   /usr/bin/nodescan.pl
  perl-Net-NBName.noarch: E: wrong-script-end-of-line-encoding
   /usr/bin/nodestat.pl
  perl-Net-NBName.noarch: E: wrong-script-end-of-line-encoding
   /usr/bin/namequery.pl
All of these can be fixed with a quick pass through sed; see 
http://fedoraproject.org/wiki/PackageMaintainers/CommonRpmlintIssues

  perl-Net-NBName.noarch: E: script-without-shebang /usr/bin/nodescan.pl
  perl-Net-NBName.noarch: E: script-without-shebang /usr/bin/nodestat.pl
  perl-Net-NBName.noarch: E: script-without-shebang /usr/bin/namequery.pl
These scripts are executable, but the first line of each doesn't contain the
'#!' line that would enable the kernel to know how to run them.  As a result
these scripts do nothing except spew shell errors.  You will need to add
  #!/usr/bin/perl
to each.

Checklist:
* source files match upstream:
   947cf41234f88779086f851748a86b04bf6f851f0d84b8950c8e3fbdbf20cd2e
   Net-NBName-0.26.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
X rpmlint has valid complaints.
* final provides and requires are sane:
   perl(Net::NBName) = 0.26
   perl(Net::NBName::NameQuery) = 0.26
   perl(Net::NBName::NameQuery::RR) = 0.26
   perl(Net::NBName::NodeStatus) = 0.26
   perl(Net::NBName::NodeStatus::RR) = 0.26
   perl(Net::NBName::Request)
   perl-Net-NBName = 0.26-1.fc9
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(Net::NBName::NameQuery)
   perl(Net::NBName::NameQuery::RR)
   perl(Net::NBName::NodeStatus)
   perl(Net::NBName::NodeStatus::RR)
   perl(Socket)
   perl(strict)
   perl(vars)
   perl(warnings)

* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=23,  0 wallclock secs ( 0.08 cusr +  0.01 csys =  0.09 CPU)

* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
Comment 2 Walter Gould 2008-01-16 01:02:28 EST
In order to correct the script-without-shebang errors that rpmlint is producing
-  would I need to create a patch to include the shebang?  Or, could I just
change it w/o a patch?  Not sure if you all frown upon changing source w/o a patch.

Thanks,
Walter 
Comment 3 Jason Tibbitts 2008-01-16 01:19:28 EST
You can just sed them in if you want; it's preferable to do this in %prep if
possible.  (You're just patching sources but via program instead of a patch.)

Also, I'm not sure if you're asking this, but just in case, you should know that
you can't just change it in the tarball.
Comment 4 Walter Gould 2008-01-17 03:07:23 EST
Ok, to fix the rpmlint errors I decided to add a patch (it's late and I'm not a
sed expert) to include the shebang's in the three perl scripts that they were
missing from.

Also, I include a couple of sed lines in the %prep section to fix the
file-end-of-line-encoding for README and Changes.

Here are the new urls:

Spec: http://niscripts.googlecode.com/svn/trunk/rpms/SPECS/perl-Net-NBName.spec
SRPM:
http://niscripts.googlecode.com/svn/trunk/rpms/SRPMS/perl-Net-NBName-0.26-2.fc8.src.rpm
Comment 5 Jason Tibbitts 2008-01-17 12:41:36 EST
Looks good to me.

APPROVED

Just one more to go.
Comment 6 Walter Gould 2008-01-21 01:01:23 EST
New Package CVS Request
=======================
Package Name: perl-Net-NBName
Short Description: Net::NBName perl module
Owners: gouldwp
Branches: F-8 EL-5
InitialCC: 
Cvsextras Commits: yes
Comment 7 Kevin Fenzi 2008-01-21 12:08:19 EST
cvs done.
Comment 8 Fedora Update System 2008-01-27 02:17:40 EST
perl-Net-NBName-0.26-2.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.